Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OctetArrayWriteBuffer::OctetArrayBufferOutput Class Reference

`#include <coherence/io/OctetArrayWriteBuffer.hpp>`

Inherits AbstractWriteBuffer::AbstractBufferOutput.

List of all members.

## Detailed Description

OctetArrayBufferOutput is an implementation of BufferOutput optimized for writing to the buffer's underlying octet array.

A BufferOutput implementation that delegates to a BufferOutput implementation, except that its offset range is shifted and limited.

Author:
  jh 2008.01.11

## Public Types
typedef spec::Handle | Handle
| OctetArrayBufferOutput Handle definition.
typedef spec::View | View
| OctetArrayBufferOutput View definition.
typedef spec::Holder | Holder
| OctetArrayBufferOutput Holder definition.
## Public Member Functions
virtual void | writeChar16 (char16_t ch)
  | Write a 16-bit Unicode character value. Parameters:
  | ch | the Unicode character as a `char16_t` value
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeString (String::View vs)
  | Write a sequence of UTF-8 encoded 16-bit Unicode characters. Parameters:
  | vs | a String value to write; may be NULL
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeInt16 (int16_t n)
  | Write a 16-bit integer value. Parameters:
  | n | the `int16_t` value to be written
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeInt32 (int32_t n)
  | Write a 32-bit integer value. Parameters:
  | n | the `int32_t` value to be written
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeInt64 (int64_t n)
  | Write a 64-bit integer value. Parameters:
  | n | the `int64_t` value to be written
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeFloat32 (float32_t fl)
  | Write a 32-bit floating-point value. Parameters:
  | fl | the `float32_t` value to be written
  Exceptions:
  | IOException | if an I/O error occurs
virtual void | writeFloat64 (float64_t dfl)
  | Write a 64-bit floating-point value. Parameters:
  | dfl | the `float64_t` value to be written
  Exceptions:
  | IOException | if an I/O error occurs
## Protected Member Functions
| OctetArrayBufferOutput (OctetArrayWriteBuffer::Handle hBuf)
| Create a new OctetArrayBufferOutput instance that delegates to the given OctetArrayWriteBuffer.
virtual void | moveOffset (size32_t cb)
| Move the offset within the stream forward.

## Constructor & Destructor Documentation

OctetArrayBufferOutput | ( | OctetArrayWriteBuffer::Handle | hBuf | ) | `[protected]`

Create a new OctetArrayBufferOutput instance that delegates to the given OctetArrayWriteBuffer.

Parameters:

  | hBuf | the delegate WriteBuffer

## Member Function Documentation

virtual void moveOffset | ( | size32_t | cb | ) | `[protected, virtual]`

Move the offset within the stream forward.

Parameters:

  | cb | the number of octets to advance the offset

The documentation for this class was generated from the following file:

- coherence/io/OctetArrayWriteBuffer.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.